import { Route, Redirect } from 'react-router-dom';
import useAuth from '../Auth/useAuth';
import React from 'react'

export const PrivateRoute = ({ component, ...rest }) => {
    let auth = useAuth();
    
    return(
        <React.Fragment>
            { auth.isLogged() ? <Route {...rest} component={component} /> : <Redirect to='/privada' /> }
        </React.Fragment>
    )

}


